Name: python-module-PyQt4
Version: 4.8.3
Release: alt2
Summary: Python bindings for Qt.
License: GPL
Group: Development/Python

%setup_python_module PyQt4

Source0: PyQt-x11-gpl.tar
URL: http://www.riverbankcomputing.co.uk/software/pyqt
%py_package_requires sip >= 4.8.2
Packager: Python Development Team <python@packages.altlinux.org>

BuildPreReq: %py_package_dependencies sip-devel >= 4.8.1
BuildPreReq: %py_package_dependencies dbus-devel

%add_python_req_skip Compiler

BuildRequires: gcc-c++ libqt4-devel chrpath libqscintilla2-qt4-devel
#BuildPreReq: python-module-qscintilla2-qt4-devel phonon-devel
BuildPreReq: python-module-qscintilla2-qt4-devel rpm-macros-make

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt4 backend
code generator for Qt Designer.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
BuildArch: noarch
Group: Development/Python
%py_package_provides %modulename-devel = %version-%release

%description devel
Sip files for PyQt to build extension

%package examples
Summary: PyQt4 examples
Group: Development/Python
BuildArch: noarch
Requires: %name
%py_package_provides %modulename-examples = %version-%release

%description examples
This package contains PyQt4 examples

%package doc
Summary: PyQt4 docs
Group: Development/Python
BuildArch: noarch
Requires: %name
%py_package_provides %modulename-examples = %version-%release

%description doc
This package contains PyQt4 docs

%prep
%setup -n PyQt-x11-gpl
subst 's|/lib/libpython|/%_lib/libpython|g' configure.py
subst 's|/lib" |/%_lib" |g' configure.py
subst 's|#include <QTextStream>|#include <QTextStream>\n#define QT_SHARED\n|g' \
	configure.py

%build
export QT4DIR=%_qt4dir
%add_optflags %optflags_shared
echo 'yes' | python configure.py \
	--debug \
	--verbose \
	-q %_qt4dir/bin/qmake \
	-d %python_sitelibdir \
	-p %_qt4dir/plugins \
	-a --confirm-license \
	--qsci-api
%make_build_ext

%install
make install DESTDIR=%buildroot INSTALL_ROOT=%buildroot
chrpath --delete %buildroot%python_sitelibdir/PyQt4/QtDesigner.so
rm -rf %buildroot%python_sitelibdir/PyQt4/uic/port_v3

#bzip2 ChangeLog

%files
%_bindir/*
%python_sitelibdir/*
%_qt4dir/plugins/designer/libpythonplugin.so

%files devel
%dir %_datadir/sip
%_datadir/sip/*
%dir %_datadir/qt4
%_datadir/qt4/*

%files doc
%doc doc/*
#doc NEWS README ChangeLog* THANKS
%doc NEWS README THANKS

%files examples
%doc examples

%changelog
* Mon Mar 07 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.8.3-alt2
- Rebuilt with debuginfo

* Mon Jan 31 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.8.3-alt1
- Version 4.8.3

* Mon Nov 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.8.1-alt1
- Version 4.8.1

* Mon Aug 09 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.7.4-alt1
- Version 4.7.4

* Wed Jul 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.7-alt3
- Rebuilt with qt 4.7

* Tue Apr 20 2010 Sergey V Turchin <zerg@altlinux.org> 4.7-alt1.M51.1
- build for M51

* Tue Jan 19 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.7-alt2
- Set devel, doc and examples packages as noarch

* Tue Jan 19 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.7-alt1
- Version 4.7

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.5.4-alt1.1
- Rebuilt with python 2.6

* Wed Aug 26 2009 Evgeny Sinelnikov <sin@altlinux.ru> 4.5.4-alt1
- Update to new release

* Mon Jul 20 2009 Evgeny Sinelnikov <sin@altlinux.ru> 4.5.2-alt1
- Update to new release

* Mon Jul 13 2009 Evgeny Sinelnikov <sin@altlinux.ru> 4.5.1-alt1
- Update to new release

* Tue Nov 25 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.4.4-alt1
- New version

* Wed Aug 06 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.4.2-alt2
- Push rlz@ build to Sisyphus

* Sat Jun 07 2008 Dmitry M. Maslennikov <rlz at altlinux.org> 4.4.2-alt1
- New version

* Mon Dec 31 2007 Ivan Fedorov <ns@altlinux.org> 4.3.3-alt1
- 4.3.3

* Sun Nov 04 2007 Alexey Morsov <swi@altlinux.ru> 4.3.1-alt1
- 4.3.1
- total fix build on x86_64

* Wed Sep 05 2007 Ivan Fedorov <ns@altlinux.org> 4.3-alt3
- Fix build on x86_64

* Mon Sep 03 2007 Ivan Fedorov <ns@altlinux.org> 4.3-alt2
- Fix building bug

* Fri Aug 31 2007 Ivan Fedorov <ns@altlinux.org> 4.3-alt1
- 4.3

* Thu Dec 28 2006 Ivan Fedorov <ns@altlinux.ru> 4.1.1-alt1
- 4.1.1

* Fri Sep 08 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Mon Jun 12 2006 Ivan Fedorov <ns@altlinux.ru> 4.0-alt1
- 4.0 release

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20060408.0
- 4.0.0-snapshot-20060408

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20060328.0
- 4.0.0-snapshot-20060328

* Sat Dec 31 2005 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20051229.0
- 4.0.0-snapshot-20051229

* Wed Dec 07 2005 Ivan Fedorov <ns@altlinux.ru> 3.15.1-alt1
- 3.15.1

* Thu Jun 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1.1
- Rebuilt with libqt3.

* Thu Jun 02 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1
- Rebuild with new libgnutls.so.11 .

* Tue Apr 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1
- Rebuilt with libqt3

* Fri Mar 25 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1
- Rebuilt with libqt3

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.14.1-alt1
- 3.14.1
- rebuild with python 2.4

* Sat Mar 05 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt2
- small fix spec

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt1
- 3.14

* Fri Feb 04 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1.1
- Rebuilt with qt3-3.3.4

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 27 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt4
- fixing requires (libqt3)

* Sun Dec 12 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt3
- fix spec to be compatible with python policy

* Wed Oct 27 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.13-alt2
- fix sip>=4.1 requires bug (#5323)

* Fri Sep 24 2004 Eugene V. Horohorin <genix@altlinux.org> 3.13-alt1
- new release

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt2
- new buildrequires

* Thu Sep 02 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt1
- new release
- removed macros (_findprov_lib_path)
- spec cleanup

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release
